
Redmine - Patch #3053

Patch for layout/base.rthml

2009-03-26 11:32 - J Cayetano Delgado

Status: Closed Start date: 2009-03-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Description

In our theme we are using a background image on the .box class:

.box{

padding:6px;

margin-bottom: 10px;

background-color:#f6f6f6;

color:#505050;

line-height:1.5em;

border: 1px solid #e4e4e4;

background-image:url(bg_menu.png);

border:1px solid #c0c0c0;

}

 In Internet Explorer it shows ok, but in Firefox and Konqueror the layers are over the main content div, to solve this is needed to add

the following div:

<div style="clear:both;"></div>

 at the end of the content layer.

Added a patch for r2633 that solves it.

Application's environment:

Ruby version              1.8.5 (i386-linux)

RubyGems version          1.3.1

Rails version             2.1.2

Active Record version     2.1.2

Action Pack version       2.1.2

Active Resource version   2.1.2

Action Mailer version     2.1.2

Active Support version    2.1.2

Edge Rails revision       unknown

Application root          /opt/redmine-0.8.2

Environment               development

Database adapter          mysql

Related issues:

Related to Redmine - Defect #2760: User activity overflows content div Closed 2009-02-16

Related to Redmine - Defect #3583: Lack of element + clear at the base of the... Closed 2009-07-03

Associated revisions

Revision 2639 - 2009-03-28 13:13 - Jean-Philippe Lang

Fixes content vertical overflow (#3053).

History

#1 - 2009-03-28 07:45 - Mike D. Smith

- File redmine_div_issue.png added
https://www.redmine.org/projects/redmine/repository/svn/revisions/2633


I've seen the same issue with divs on the account/show page. You can also solve this by creating a custom theme and modifying the #content CSS.

For example, create REDMINE_ROOT/public/themes/mytheme/stylesheets/application.css and add the following:

#content {

    overflow: auto;

}

 Seems to work for Firefox and IE but I haven't tested on other browsers.

#2 - 2009-03-28 13:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

Patch applied in r2639. Thanks.
